Non gestion des mises à jour sous Opera pour Symbian

juillet 9th, 2011 | Posted by Cervoise in Français

En voulant administrer ce blog depuis mon téléphone avec Opera Mobile (en version 10 pour Symbian S60  – User Agent : Opera/9.80 (S60; SymbOS; Opera Mobi/498; U; fr) Presto/2.4.18 Version/10.00), le message suivant est apparu :

Ce message est une initiative des développeurs de WordPress ou d’une extension (je reviendrai sur cette fonctionnalité dans un futur article) qui alerte lorsque le navigateur utilisé semble ne pas être à jour.

Voici ce qu’il se passe lorsque l’on utilise une ancienne version de Mozilla Firefox (User Agent : Mozilla/5.0 (Windows; U; Windows NT 6.1; fr; rv:1.9.2.18) Gecko/20110614 Firefox/3.6.18).

La détection se fait via la User Agent, elle n’est donc pas fiable à 100% étant donné qu’il est possible pour un utilisateur de le changer (par exemple sous Firefox avec l’extension User Agent Switcher [1]).

Le navigateur de mon ordiphone est donc considéré comme obsolète par WordPress. Suite à ce message, je m’étonne de ne pas avoir eu de notification lors de l’utilisation de l’application (que j’utilise très régulièrement).

Je recherche donc au sein de l’application, dans le gestionnaire d’application du téléphone et même sur l’Ovi Store (équivalent de l’App Store ou de l’Android Market chez Nokia). Il est indiqué nulle part que le navigateur n’est pas à jour et aucune option ne me propose la mise à jour de l’application.

Après une recherche sur le site de l’éditeur, il semblerait que la version 11.1 soit disponible. Après réinstallation de l’application via l’Ovi Store, la monté en version 11.1 est faite (User Agent : Opera/9.80 (S60; SymbOS; Opera Mobi/SYB-1106291585; U; fr) Presto/2.8.149 Version/11.10). Cependant le message d’alerte de WordPress n’à pas disparu.

La mise à jour en version 11.1 apporte quelques nouveautés. Elle permet notamment de modifier le User Agent afin de disposer d’un User Agent dit Desktop (User Agent : Opera/9.80 (X11; Linux zbov; U; fr) Presto/2.8.149 Version/11.10) mais ne permet toujours pas de vérifier l’existence de mise à jour.

Je dispose aussi sur mon téléphone d’Opera Mini en version 6.0 (User Agent : Opera/9.80 (J2ME/MIDP; Opera Mini/6.24288/25.657; U; en) Presto/2.5.25 Version/10.54)  que je n’utilise quasiment jamais. Les mêmes problèmes se posent : message d’erreur de WordPress indiquant un navigateur obsolète, absence d’option de mise à jour via le navigateur, via le gestionnaire d’application ou via l’Ovi Store. Après une recherche, la version 6.1 est disponible. Cependant après réinstallation via l’Ovi Store je me retrouve encore avec la version 6.0 mais avec un User Agent légèrement différent (User Agent : Opera/9.80 (Series 60; Opera Mini/6.25062/25.657; U; fr) Presto/2.5.25 Version/10.54), pourtant la version 6.1 est bien disponible sur le site de l’éditeur (depuis quelques jours seulement). Je tente donc une installation à partir du fichier .sis (format de fichier des applications Symbian, équivalant des .apt pour  Android) récupéré sur le site de l’éditeur. La version 6.1 s’installe correctement (User Agent : Opera/9.80 (Series 60; Opera Mini/6.1.25380/25.657; U; fr) Presto/2.5.25 Version/10.54). Pas de fonctionnalité de mise à jour intégrée à l’application ici non plus et le message d’erreur WordPress est toujours présent.

Je trouve ça surprenant qu’à l’époque du web 2.0, alors que les mises à jours sont régulières (plusieurs par mois), que certains navigateurs font des montés de versions silencieuses [2], que d’autres sortent une version majeure quelques semaine après la version majeure précédente [3] de ne pas être informé d’une mise à jour sur un composant aussi critique que le navigateur.

Il semblerait que le problème d’absence de gestion des mises à jour via l’Ovi Store soit connu et qu’il soit  en cours de résolution [4].

Autre point, l’initiative des développeurs de WordPress est à saluer, mais l’on est en droit de ce demander quel est la régularité dans la mises à jour de la base des User Agent, et pourquoi, alors que l’on a un navigateur à jour, le message d’erreur est toujours présent.

Mise à jour du 10 juillet : Ce billet a été essentiellement composé depuis mon ordiphone, la publication de l’article n’a pas prise en compte la correction de coquilles, c’est maintenant chose faite.

Références

[1] User Agent Switcher pour Mozilla Firefox : https://addons.mozilla.org/en-US/firefox/addon/user-agent-switcher/

[2] Google Chrome, new silent and automatic update v9.0.597.84 : http://www.ph-v.net/article-google-chrome-new-silent-and-automatic-update-v9-0-597-84-66990113.html

[3] Firefox 5 : la version finale est disponible en téléchargement : http://www.01net.com/editorial/533492/firefox-5-deja-disponible-en-beta/

[4] L’Ovi Store gere enfin les mises a jour ! (v 2.8) : http://www.symbianfrance.com/2011/05/27/l%E2%80%99ovi-store-gere-enfin-les-mises-a-jour-v-2-8/

MAJ du 07/08/2012 : Le lien [4]est mort, voici une autre version de l’article.

You can follow any responses to this entry through the RSS 2.0 You can skip to the end and leave a response. Pinging is currently not allowed.

Leave a Reply

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Time limit is exhausted. Please reload the CAPTCHA.